!set title=Elemento previo
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=en
author=XIAO Gang
email=xiao@unice.fr

ansorder=r,r,r,r
varcnt=34
prevarcnt=33
postvarcnt=0
replycnt=4
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

tmp0=!record 0 of table

val6=$(tmp0)
tmp=!translate internal $	$ to ; in $val6

tmp0=!rowcnt $tmp
val7=$[rint($(tmp0))]

!ifval $val2 notitemof 1,2,3,4
val2=$[rint(0)]
!endif

!ifval $val3 notitemof 1,2,3,4
val3=$[rint(0)]
!endif
val8=

!ifval $val4 issametext $val8 or $val4<7 or	 $val4>$val7
val4=$[rint(54)]
!endif
tmp0=!values x for x=1 to $val7

val9=$(tmp0)
tmp0=!listintersect $val5 and $val9

val5=$(tmp0)

!ifval $val2>0
val10=$[rint($val2)]
!else
tmp0=!randint 1, 4

val10=$[rint($(tmp0))]
!endif

!ifval $val3=$val2
val11=$[rint(0)]
!else
val11=$[rint($val3)]
!endif
tmp0=!listcomplement $val10 in 1,2,3,4

val12=$(tmp0)

!ifval \candouble issametext yes and $val10 != 1
val12=$val10,$val12
!endif

!ifval $val11>0 and $val11 isitemof $val12
val13=$[rint($val11)]
!else
tmp=!nonempty items $val12

tmp0=!randitem $tmp
val13=$[rint($(tmp0))]
!endif
val14=$[rint(2)]
val15=0,-1
val16=inmediatamente anterior a aquel
val17=yes
val18=no
tmp0=!record 0 of table

val19=$(tmp0)
val6=$val19
val8=
!if $val5 notsametext $val8 and $val18 notsametext no 
tmp=!translate internal $	$ to ; in $val6

tmp=!row $val5 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val6=$(tmp0)
!endif
tmp=!translate internal $	$ to ; in $val6

tmp=!column 3 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val20=$(tmp0)
tmp=!translate internal $	$ to ; in $val6

tmp=!column 2 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val21=$(tmp0)
tmp=!translate internal $	$ to ; in $val6

tmp0=!rowcnt $tmp
val22=$[rint(min($val4,$(tmp0)))]
val23=$val10
val24=$val13
val25=número, símbolo, nombre, masa
tmp0=!randint $val14, $val22

val26=$(tmp0)
tmp=!translate internal $	$ to ; in $val6

tmp=!row $(val15[1])+$val26 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val27=$(tmp0)
tmp=!translate internal $	$ to ; in $val6

tmp=!row $(val15[2])+$val26 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val28=$(tmp0)
tmp=!translate internal $	$ to ; in $val27

tmp=!column $val23 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val29=$(tmp0)
tmp=!translate internal $	$ to ; in $val28

tmp=!column $val24 of $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val30=$(tmp0)
oefsteps=reply $val24 
nextstep=!nosubst reply $val24 
!readproc oef/steps.proc
replytype1=numeric
replyname1=El número atómico es
replygood1=$[$val30]
replytype2=case
replyname2=El símbolo es
replygood2=$val30
replytype3=nocase
replyname3=El nombre del elemento es
replygood3=$val30;$val20
replytype4=numeric
replyname4=La masa atómica
replygood4=$[$val30]
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()¿Cuál es el $(val25[$val24]) del elemento $val16 cuyo	$(val25[$val23]) es $val29?	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=16,23,24,25,29
embedcnt=0
